Kerbal Space Program - Bug #4835

Unable to offset items attached inside any cargo bay
04/30/2015 05:34 AM - EddieRod1285

Status: Closed Start date: 04/30/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Description: Whenever you try to offset an item inside a cargo bay it hifts to the side every time you click an axis marker.
How to replicate: Grab a pod and slap a cargo bay under it. Open the bay and put in let'd say a docking port. Then try to offset that
sucker and enjoy the chaos! lol

Windows 7 Ultimate 64bit
GTX 560 ti

i5 3570k

16GB RAM

Related issues:
Is duplicate of Kerbal Space Program - Bug #4818: cargo bay placement Closed 04/29/2015

History

#1 - 04/30/2015 05:36 AM - EddieRod 1285

Forgot to set Priority to Normal. Sorry I'm new to Bug Tracker!

#2 - 05/01/2015 08:50 AM - EddieRod1285
- File bug 2.png added

Just tried to offset some batteries inside a 1.25 meter service bay and it's bugged as well. Only it shifts upwards instead of to the right! High priority
bug here, hope this gets resolved in 1.0.1 patch.

#3 - 05/26/2015 03:09 AM - EddieRod 1285

Um Hello?? This is a critical bug please respond! Does anyone read this tracker anymore? Have you given up on KSP?

#4 - 06/05/2015 07:49 PM - Squelch

Yes, this is confirmed, and thank you for your report.

#6 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#7 - 07/27/2015 09:01 PM - Squelch
- Is duplicate of Bug #4818: cargo bay placement added

#8 - 12/16/2015 04:44 PM - terwin

Only seems to apply to internal cargo-bay nodes, | can tweak the offset of items inside a cargo-bay normally if they are attached to another part and
not to the cargo-bay node.
This is still present in 1.0.5a

#9 - 12/26/2015 08:13 PM - nuclearping
- File KSP_CargoBay_Offset Bug1.jpg added
- File KSP_CargoBay_Offset BugZ.jpg added

Yes, | can confirm that this is still present in 1.0.5.

Place an engine (NERV in my case) inside a cargobay and move it with offset. Tryed to place them in a 2x2 order, but they always stick outside the

bay, even when just moving the Up/Down axis.

Would be nice if this bug will be fixed soon. Don't want to be rude, but 8 months since it was reported and no fix is a bit meh ...

#10 - 07/17/2016 09:40 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#11 - 08/09/2016 01:38 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For

best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
